
// target: 开放给city_pickers直接调用的工具方法
//

import 'location.dart';
import 'package:city_pickers_cn/modal/result.dart';

class CityPickerUtil {
  Map<String, dynamic> citiesData;
  Map<String, dynamic> provincesData;

  CityPickerUtil({this.citiesData, this.provincesData})
      : assert(citiesData != null),
        assert(provincesData != null);

  Result getAreaResultByCode(String code) {
    Location location =
        new Location(citiesData: citiesData, provincesData: provincesData);
    return location.initLocation(code);
  }
}
